#!/bin/sh
# set CameraExplorer CAP_NET_RAW capabilities and resolve rpath
# this script should be executed with root rights to change capabilities.

if ! [ -x "$(command -v patchelf)" ]; then
  echo 'patchelf is not installed.' >&2
  exit 1
fi

if [ "$(id -u)" -ne 0 ]; then
  echo 'please run as root.'
  exit 1
fi

# set capabilities
setcap cap_net_raw=ep bexplorer

# resolve rpath
patchelf --set-rpath ${PWD}/../lib bexplorer
