# Baumer Camera Explorer Changelog file

## [3.4.0] - 2023-04-05

### Added

- IP Address Configuration widget as a replacement for the Baumer IPConfig Tool
- menu function to run Baumer Driver manager for configuration of USB driver (Windows only)
- menu function to run Camera Explorer in Administrator mode
- center button for all widgets with region selector
- rework of widget title bars to get more space for center buttons
- command line parameter /noautofunctions added (see help menu)
- command line parameter /donttouch added (see help menu)

### Changed

- Cameras are no longer opened automatically by default when Camera Explorer is started, except when merely one camera is found
- Image Format widget reworked to select an image area with a new ROI selection tool
- The temperature widget can now also display negative values and show a temperature subrange
- the minimum image size now can be smaller than 1 KB

### Removed

- external ipConfig tool is no longer used
- all slider controls in Image Format widget

## [3.3.2] - 2022-09-22

### Added

- Serial Interface Widget added for Baumer cameras with UART interface (Windows only)
- show temperature sensor location in temperature widget

### Changed

- USB driver and related setups updated
- show all Ethernet adapters again to avoid error messages
- Rework of the .csv output files saved by the temperature widget
- Mouse wheel control has been revised to avoid unintentional changes in some GUI controls

### Fixed

- issues with selection and showing of event info

## [3.3.0] - 2021-11-15

### Added

- recorder widget now supports video mode for saving of video files
- high speed recording of video files with new Baumer video format (.brv)
- Auto splitting of Baumer .brv files
- menu and tool button added for loading Baumer .brv files
- load brv files via command line parameter
- drag&drop support for Baumer .brv files
- offline showing of .brv video files
- offline converting of .brv video to other video formats
- support for multi sensor cameras
- support for multi stream cameras
- support for polarizer color cameras
- showing of border lines in **Two Image view** and **Stream view**
- showing of text info for diagram view can now switched on or off
- search filter condition for category search extended (see tooltip)
- neutral camera icon for unknown USB cameras added and used
- tool tips for menu entries 


### Changed

- Baumer .brw image format has changed and is no more compatible with older versions of the Camera Explorer
- showing of feature trees reworked and ordered related to selector features
- features can be shown more than once if related to multiple selector features
- check box for showing of border lines moved to menu item
- moving of slider controls is more fluent now with expanded property tree
- controlbar and status bar messages updated for video recording
- don't show image view if video file or image file is not available, show error message instead
- synchronisation between feature tree and dock widgets improved
- showing of virtual ethernet adapters suppressed (can be activated via additional command line parameter)
- show the used BGAPI version in About dialog
- show producer names in source tree with bold font

### Fixed

- crash if image view is closed for some conditions
- chunk info accidentally deleted if device info is updated in Image/Buffer-Info widget
- possible crash when showing jpeg buffer data
- image view not added/shown via file menu if related file already was loaded
- missing program icon on Linux
- splash screen not centered on Linux
- no abort possible if AutoExposure will not finish with Once
- no abort possible if AutoWhite balance will not finish with Once
- full screen mode not supported on Linux


## [3.2] - 2021-03-03

### Added

- additional check for large memory requirements with fallback to default when a new image view is opened
- number of image buffers and using of optimized buffer size can be configured in 'View Settings' widget
- number of possible image buffers per view increased to 50000
- command line parameter now possible with additional prefix '-' and '--'
- 'View Settings' widget reworked
- selection of using maximum buffer size removed from settings dialog
- support for using of all detected camera models via command line parameter /allcams
- overrun feature for 'Stop recording' by external line event in image recorder
- event actions to control image recording by external line input (Start/Stop recording, Save image, Save ring Buffer)
- time measurement and related logging for recorder widget
- ring buffer support for disk recording with additional info in status line
- fast disk recording of image files
- additional placeholder [I] to use the current image buffer ID in file names
- help menu extended with update check for new version of Camera Explorer
- Tiff images can now be saved compressed using an additional option

### Changed

- maximum values of auto exposure limited for default initialization
- buffer underrun handling improved
- more log message output after recording has finished
- recorder widget accepts a max. frame rate of 2000 fps
- width of the internal image counter place holder [I] in saved filenames increased to 7 digits
- disable frame format settings in record mode to prevent possible exceptions
- saving of .png files accelerated
- no more logging while slider is moved
- 'Turbo Mode' feature for fast GUI response (F10/Settings-View Tab)
- GUI of the recorder widget simplified
- max. memory allocation limits updated (8GB for x64/2.6 GB for x86)
- max. buffer size increased to 256 MB
- the temperature widget is active now by default 
- the appearance of the execute button in property tree changed
- Event actions can be configured in the extended options of the recorder widget

### Removed

- selection of line events for saving images removed from settings dialog
- number if image buffers removed from settings dialog
- selection of using maximum buffer size removed from settings dialog

### Fixed

- no abort if user doesn't want to overwrite existing file
- feature help descriptions doesn't show help for invisible enum entries
- wrong correction of selected Auto ROI for brightness and white balance & color
- possible crash when trying to allocate a huge amount of memory buffers


## [3.1] - 2020-08-28

### Added

- new option "Pixel clipping"
- new tool button for pixel clipping in 'Brightness' widget
- new option "Use a fixed layout for new image views..." in view tab of settings dialog
- extended feature search with multiple OR linked search strings, value search and category search (see tooltip)
- better handling of long exposure times
- support of placeholders and sub menus for saving image and video files (see tooltip)
- save images on events (LineXRising/FallingEdge)
- reset function for some dock widgets via new tool button
- settings function for some dock widgets via new tool button and splitter menu
- new animated live mode/auto-function buttons (toggle switch button) 
- feature synchronizing between all widgets
- support for Baumer JPEG cameras (save/load/show raw JPEG data, also with brw files)
- 'Camera Temperature' widget with logging and data saving to .csv file
- splitter control for resizing help info added to all feature widgets
- display of Chunk ROIs for ***Baumer VeriSens*** devices
- auto features will be activated at first start or reset of Camera Explorer
- show info line below the image view with related shortcut and menu entry
- show or hide widget bars via menu and short cut ('Ctrl+Shift+L' & 'Ctrl+Shift+R')
- show or hide message view via menu and short cut ('Ctrl+Shift+M')
- show the *Interface* property of camera features
- additional reset butons for some dock widgets
- new toolbar in 'View Settings' widget with icons for rotate, flip and reset
- additional confirmation requests for all dock widget reset buttons
- markdown changelog file ***changelog.md*** acessable via help menu
- link to **Camera Explorer** home page via help menu

### Changed

- load, save and restore of global layout files reworked (file based now)
- counter for images and videos are now camera related
- widget menu entries will be unchecked if related container is collapsed
- mark search symbol (red color) if search entry is active
- default background color of the image view changed to improve visibility
- version number extended with date/time information (see title bar and About dialog)
- options dialog reworked
- 'Widget' submenu moved to main menu to make access to dock widgets more convenient
- additional confirmation requests for all dock widget reset buttons
- collapsing of brightness/ white balance&color widget changed, toolbars are always visible now
- setting of background color reworked - call color dialog via tool button
- feature help view now is re-sizable
- option *Allow only local GenTL producers...* moved to system tab of *Options* dialog
- option *Show color info in hexadecimal mode" moved to *View Settings* dock widget

### Removed

- sharpening settings for mono cameras

### Fixed

- problems when showing 32 bit images in RAW-Mode
- showing of chunk data not possible if chunk data has no image
- save and restore image data in flash memory (Linux only)
- avoid underrun buffers if draw frame rate is limited by user
- invisible feature categories are shown
- missing layout reset of settings dialog
- help info for invisible enum entries not shown
- problems with image buffers > 128MB


## [3.0.0] - 2020-03-30

The Camera Explorer 3.0 is the successor of the proven Camera Explorer from the Baumer BGAPI SDK.

Starting with this version, further development is now independent of the BGAPI SDK.
The camera-related functionality in this version is almost identical to Camera Explorer 2.10.
The main changes are the new layout and the handling of the dock widgets.

### Added

* 'Brightness widget' to support hardware auto brightness features
* 'White Balance & Color' widget to support hardware auto color features

### Changed

- GUI layout with drag and drop interface, program menu and new icon set- 

### Removed

- Port interface
- BGAPI Stream features
- GenICam feature selection
